lomiri-session (0.4-6) unstable; urgency=medium

  * lomiri-desktop-session: Add Depends: xdg-desktop-portal-lomiri

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Sep 2026 07:02:37 +0200

lomiri-session (0.4-5) unstable; urgency=high

  * Use versioned Breaks/Replaces: content-hub instead of unversioned

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Aug 2026 14:31:11 +0200

lomiri-session (0.4-4) unstable; urgency=medium

  * lomiri-desktop: Remove Recommends: featherpad
  * lomiri-desktop: Remove Recommends: synaptic

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Aug 2026 21:28:23 +0200

lomiri-session (0.4-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * lomiri-desktop: Add Recommends: libgtk-nocsd0
  * lomiri-desktop: Remove Recommends: gimp
  * lomiri-desktop-session: Instead of Depends: dbus, use
    Depends: default-dbus-system-bus | dbus-system-bus (Closes: #1122671)
  * Revert "Have lomiri-desktop-session Recommend lomiri-desktop"
    because task-lomiri-desktop now has Depends: lomiri-desktop

  [ Serhii Horichenko ]
  * lomiri-desktop: Add Recommends: simple-scan

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Aug 2026 11:06:52 +0200

lomiri-session (0.4-2) unstable; urgency=medium

  * lomiri-desktop-session: Recommend instead of Suggest lomiri-desktop.
    This change may be reverted after task-lomiri-desktop is updated to
    depend on lomiri-desktop. lomiri-desktop is a new metapackage that
    recommends default apps for Lomiri instead of having
    lomiri-desktop-session do that. (Closes: #1141673)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jul 2026 17:35:05 +0200

lomiri-session (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches 1001, 2025, 2026, 2027, and 2028.
  * debian/control:
    + Add ${misc:Depends} to D: (lomiri-desktop).
    + Drop duplicate relation to lomiri-mediaplayer-app.
    + lomiri-desktop-session hard-requires lomiri-schemas (>= 0.1.11) now.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Jun 2026 00:40:57 +0200

lomiri-session (0.3-14) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Create a lomiri-desktop metapackage (Closes: #1131475)

  [ Mike Gabriel ]
  * debian/patches:
    + Add 2028_set_sqlite_as_the_contact_backend_storage.patch. Set
      LOMIRI_CONTACT_BACKEND to org.nemomobile.contacts.sqlite.
  * debian/control:
    + Move debian-lomiri-default-settings from Depends: to Recommends:.
      Allow people to uninstall the Debian theming.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Jun 2026 12:01:07 +0200

lomiri-session (0.3-13) unstable; urgency=medium

  * Team upload

  [ Thorsten Alteholz ]
  * Enable Salsa CI using default template

  [ Jeremy Bícha ]
  * Add Lintian override for use of get-orig-source
  * Run wrap-and-sort -ast
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 May 2026 15:02:22 -0400

lomiri-session (0.3-11) unstable; urgency=medium

  * debian/10_debian-lomiri.gschema.override:
    + Adjust for Debian 13 theming: enable light mode, use start-here.svg
      Debian swirl in Ceratopsian colors, use home-button-background-color
      pipette-picked from Ceratopsian background image.
  * debian/copyright:
    + Extend copyright attributions for debian/start-here.svg (Debian swirl
      in Ceratopsian theme colors).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Jun 2025 00:16:15 +0200

lomiri-session (0.3-10) unstable; urgency=medium

  * debian/control:
    + In R: replace gkbd-capplet by tecla. This goes together with a change
      introduced in ayatana-indicator-keyboard 24.7.2-2.
  * debian/patches:
    + Add 1001_mark-session-as-running-in-VM-via-envvar.patch. Introduce env var
      that marks a Lomiri session as running in a VM.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 16:47:38 +0200

lomiri-session (0.3-9) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-app-launch-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:24:25 +0100

lomiri-session (0.3-8) unstable; urgency=medium

  [ Lionel Duboeuf ]
  * debian/patches:
    + Add 2026_set_mkcal_as_the_alarm_backend_storage.patch Declare mkcal as
      the alarm storage backend. Needed by LUITK Alarm component

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Feb 2025 16:58:59 +0100

lomiri-session (0.3-7) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-cloudsync-app, lomiri-dekko-app, lomiri-teleports-app,
      lomiri-tfamanager-app, lomiri-weather-app.
    + Drop from Recommends: and phase-out: lomiri-abook2cal-syncd.
    + Drop from Recommends: and phase out: lomiri-sync-monitor.
  * debian/patches:
    + Drop 2020_lomiri-keyboard-service.patch. Start using lomiri-keyboard
      instead of maliit-keyboard.
    + Also drop 2023_use-qt-quick-style-suru.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 12:25:44 +0100

lomiri-session (0.3-6) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 2025_run_xdg_user_dirs_update.patch. Ensure XDG user directories
      exist.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Oct 2024 18:40:56 +0200

lomiri-session (0.3-5) unstable; urgency=medium

  * debian/control:
    + Add to D: user-session-migration.
  * debian/patches:
    + Add 2024_user-session-migration-integration.patch. Assure that user-
      session-migration scripts have run before Lomiri session startup.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 09:45:26 +0200

lomiri-session (0.3-4) unstable; urgency=medium

  * debian/control:
    + Promote lomiri-content-hub from R: to D: to assure the replacement of
      content-hub by lomiri-content-hub works flawlessly on already installed
      systems.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Sep 2024 16:17:58 +0200

lomiri-session (0.3-3) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-calendar-app, lomiri-abook2cal-syncd, and lomiri-sync-
      monitor and lomiri-polkit-agent.
    + Replace in R: content-hub by lomiri-content-hub, add content-hub to
      Breaks:/Replaces:.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:35:49 +0200

lomiri-session (0.3-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: dbus-bin (for finding the dbus-update-activation-environment
      executable).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jul 2024 15:55:18 +0200

lomiri-session (0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all cherry-picked patches. Now shipped in latest upstream version.
    + Rebase 2021_lomiri-requires-lomiri-keyboard.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Jul 2024 13:16:00 +0200

lomiri-session (0.2-13) unstable; urgency=medium

  * debian/patches:
    + Drop commented out patch from series file.
    + Add patches 0023, 0024 and 0025. Add non-Ubuntu AccountsService support to
      Lomiri session for language and kbd layout settings.
    + Add patches 0031 and 0032. Install all files to non-multi-arch target
      locations.
    + Update 2020_lomiri-keyboard-service.patch. Use SYSTEMD_USER_DIR CMake
      variable for installing the lomiri-keyboard.service file.
  * debian/rules:
    + Set ENABLE_UBNUTU_ACCOUNTSSERVICE flag dependent on dpkg-vendor call, only
      set it to ON when built on Ubuntu and derivatives.
  * debian/control:
    + Add B-D: systemd-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Jul 2024 14:35:14 +0200

lomiri-session (0.2-12) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 0022_lomiri-indicators-target.patch. Request lomiri-indicators.target
      rather than ayatana-indicators.target.
    + Rename patches, Debian-specific patches now have a patch number greater
      than 2000. Plus rebase patches.
  * debian/control:
    + Assure installation of lomiri (>= 0.2.1-12~). First version shipping the
      lomiri-indicators.target.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 11:49:46 +0200

lomiri-session (0.2-11) unstable; urgency=medium

  * debian/patches:
    + Add 1002_no-lomiri-restart-on-failure.patch.  Don't restart lomiri on
      failure/crash. Return back to the greeter instead.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Mar 2024 22:06:48 +0100

lomiri-session (0.2-10) unstable; urgency=medium

  * debian/:
    + Add new bin:pkg debian-lomiri-default-settings. Brand Lomiri
      with Debian artwork.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Mar 2024 16:46:10 +0100

lomiri-session (0.2-9) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-docviewer-app.
    + Add to R: gkbd-capplet (for showing the keyboard layout on screen via
      ayatana-indicator-keyboard).
    + Drop lomiri-docviewer-app from S: (already in R: now).
    + Promote xwayland from S: to R:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 10:54:00 +0100

lomiri-session (0.2-8) unstable; urgency=medium

  * debian/{lomiri-session.1,manpages}:
    + Add a minimal lomiri-session man page.
  * debian/patches:
    + Add 1001_use-qt-quick-style-suru.patch. Set QT_QUICK_CONTROLS_STYLE=suru.
      This makes icons of special keys visible (such as Return key, Shift key,
      etc.).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Feb 2024 17:16:05 +0100

lomiri-session (0.2-7) unstable; urgency=medium

  * debian/patches:
    + Update 0020_lomiri-keyboard-service.patch. On failure, wait 5sec before
      restarting maliit-server.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Feb 2024 16:43:10 +0100

lomiri-session (0.2-6) unstable; urgency=medium

  * debian/patches:
    + Add 0020_lomiri-keyboard-service.patch, 0021_lomiri-requires-lomiri-
      keyboard.patch. Provide lomiri-keyboard.service that launches maliit-
      server after lomiri.service is started successfully.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Feb 2024 15:58:48 +0100

lomiri-session (0.2-5) unstable; urgency=medium

  * debian/patches:
    + Add patches 0010 to 0019. Switch to new Lomiri systemd integration.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Feb 2024 23:39:09 +0100

lomiri-session (0.2-4) unstable; urgency=medium

  * debian/control:
    + Add pipewire-pulse as alternative D for pulseaudio. (Closes: #1035095).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2023 09:57:57 +0200

lomiri-session (0.2-3) unstable; urgency=medium

  * debian/control:
    + Add Lomiri core apps to R (lomiri-desktop-session), docviewer app
      to S, move Xwayland to S.
    + Add to R: content-hub.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 11:02:58 +0100

lomiri-session (0.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_desktop-dm-lomiri-session-Drop-old-wizard-has-run-ch.patch.
      Drop old wizard has run check.
    + Add 0002_lomiri-session-Put-evaluation-of-ps-call-in-quotes.patch,
      0003_lomiri-session-Properly-differentiate-between-Ubuntu.patch and
      0004_lomiri-session-Check-for-presence-of-Xwayland-use-th.patch. Fix
      Lomiri session startup. Gracefully handle non-presence of Xwayland.
    + Add 0005_systemd-lomiri.service-Drop-Before-and-Wants-for-ind.patch.
      Drop indicators.target.
  * debian/control:
    + Add to R: xwayland.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 09:20:45 +0100

lomiri-session (0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:44:56 +0100

lomiri-session (0.1-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Initial upload to Debian. (Closes: #1030388).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 22:54:09 +0100
